<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="text"/>
	
	<xsl:template match="RECORD">
	
RECORD <xsl:value-of select="@ID"/> from database <xsl:value-of select="@BASE"/>
		<xsl:apply-templates select="CHAPTER"/>
		<xsl:apply-templates select="SPEAKER"/>
		<xsl:apply-templates select="TXT" />
	</xsl:template>
	
	<xsl:template match="CHAPTER">
CHAPTER:	<xsl:apply-templates select="SUB[1]" />
	</xsl:template>
	
	<xsl:template match="SPEAKER">
SPEAKER:	<xsl:for-each select="SUB">
				<xsl:if test="position() > 1">, </xsl:if>
				<xsl:apply-templates select="." />
			</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="SUB">
		<xsl:for-each select="HIT|text()">
			<xsl:apply-templates select="." />
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="HIT">[<xsl:value-of select="." />]</xsl:template>
	
	<xsl:template match="TXT">
TXT:		<xsl:apply-templates select="P[1]" />
		<xsl:if test="count(P) > 1" >...</xsl:if>
	</xsl:template>
	
	<xsl:template match="P">
		<xsl:for-each select="HIT|text()">
			<xsl:apply-templates select="." />
		</xsl:for-each>
	</xsl:template>
	
</xsl:stylesheet>
